### Method

# GExiv2 Metadata get_xmp_packet

unstable since: 0.16.0

#### Declaration [src]

    gchar*
    gexiv2_metadata_get_xmp_packet (
      GExiv2Metadata* self
      GError** error
    )

#### Description [src]

Get the currently encoded XMP packet (after having called `gexiv2_metadata_try_get_xmp_packet()`).

Available since: 0.16.0

#### Return value

Type: `gchar*`

The currently-encoded XMP packet (see `gexiv2_metadata_generate_xmp_packet()`).

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.